Subject: Re: [lojban] Names of characters

From: Elrond <[email-masked]>
Date: Tue, 27 Jun 2000 12:47:58 +0200 (CEST)

Hmm, for " we've got a problem, because there is still « and » to cope
with. I also do not like "uebu" which doesn't apply in very many uses of
"!". Why not "ba'ebu" ?

And now, keeping on saying that meryru'ubu is better than rupnubu for
rather obvious reasons, let's continue with the iso_8859_1 character set:

(the third column is given as informative, but only the fourth is
authoritative for symbol names)

160 nalpo'ibu 	 NO-BREAK SPACE
161 to'eba'ebu	¡ INVERTED EXCLAMATION MARK
162 fepni bu	¢ CENT SIGN
note: for the above one, the "merko" problem doesn't exist, as the cent
sign is also applicable for other currency units than the US Dollar. This
doesn't change my mind for meryru'ubu, however, see 164 below.
163 ritru'ubu	£ POUND SIGN
164 rupnu bu	¤ CURRENCY SIGN
165 ponru'ubu	¥ YEN SIGN
166 ?????	??? BROKEN BAR (this doesn't display here)
167 ju'agribu	§ SECTION SIGN
168 ?????	" DIAERESIS (dunno how to say "accent" in lb)
169 prabadybu	(C) COPYRIGHT SIGN
170 nimtcitabu	ª FEMININE ORDINAL INDICATOR
171 cfalubu	« LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
172 nabu	¬ NOT SIGN
173 blepo'ibu	- SOFT HYPHEN (not sure about this one)
174 kagybadybu	(R) REGISTERED SIGN
175 ?????	??? MACRON (cf 168)
176 gradubu	° DEGREE SIGN
177 ma'ujani'ubu ± PLUS-MINUS SIGN
178 kurpi'ibu	² SUPERSCRIPT TWO
179 kubpi'ibu	(^3) SUPERSCRIPT THREE
note: I am not sure about the previous two, because of 185 below. IIRC
these three symbols are rather used as footnote marks or ordinals in
discussion...
180 ?????	' ACUTE ACCENT (cf 168)
181 mikrobu	µ MICRO SIGN
182 ?????	¶ PILCROW SIGN (dunno this symbol)
183 mijde'abu	· MIDDLE DOT
184 ?????	, CEDILLA (cf 168)
185 ?????	(^1) SUPERSCRIPT ONE (cf 178,179)
186 nautcitabu	º MASCULINE ORDINAL INDICATOR
187 fa'olubu	» RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
188 piremubu	¼ VULGAR FRACTION ONE QUARTER
189 pimubu	½ VULGAR FRACTION ONE HALF
190 pizemubu	(3/4) VULGAR FRACTION THREE QUARTERS
note: the three previous are ugly.
191 to'epaubu	¿ INVERTED QUESTION MARK
192-214 ---- accented alphabetical letters and others int. chars
215 pi'ibu	x MULTIPLICATION SIGN
216-246 ----
216 fi'ubu	÷ DIVISION SIGN
note: this last char deserves its name, invalidating "fi'ubu" for
"/". As a matter of fact, the ISO 646 (ASCII) table says that "/" is
"VIRGULE", and common names are Slash, Stroke, Slant, Diagonal, Sloidus,
Over, Slat -- nearly never have I heard it called "div sign". So why not
"sa'osnibu" for it ?

> > " - lubu
> > # - moibu
> > % - centi bu
> > & - joibu
> > ' - y'y
> > ( - tobu
> > ) - toibu
> > * - tarci bu
> > + - sumji bu
> > , - slaka bu
> > - - vu'ubu, ni'ubu (those name distinct characters in APL)
> > .. - denpa bu
> > : = pi'ebu
> > < - mleca bu
> > = - dunli bu
> > > - zmadu bu
> > ? - paubu
> > @ - abubu (?)
> > [ - kebu
> > \ - se'ebu
> > ] - ke'ebu
> > 
li'o

> As long as we're being Unixy here (I assume that's where \ - se'ebu came from),
> ~ could be 'zdani bu'.
> ` is used for quoting in certain computer languages, but not in Lojban, so it
> could be 'zoibu' - does that work? Which has higher precedence, zoi or bu?
> ^ = te'abu
> _ = cnita bu?
> | = pagre bu? (the 'pipe' concept in various computer contexts)
> { = kalri bu
> } = ganlo bu - I'm not so sure about these - do 'open' and 'close' workhere?
> ; = vaubu
I'm not sure whether {pagri} really applies to the "pipe" concept. I'll
investigate.

> 
> And what is a space called? Is it sepli bu?
I like it... 

Any volunteers for other character sets ? ;-))